OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NVX.GPUMulticast2

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVXGPUMulticast2 :: MonadIO m => m Bool
- gl_NVX_gpu_multicast2 :: Bool
- pattern GL_UPLOAD_GPU_MASK_NVX :: GLenum
- glAsyncCopyBufferSubDataNVX :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLuint64 -> GLuint -> GLbitfield -> GLuint -> GLuint -> GLintptr -> GLintptr -> GLsizeiptr -> GLsizei -> Ptr GLuint -> Ptr GLuint64 -> m GLuint
- glAsyncCopyImageSubDataNVX :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLuint64 -> GLuint -> GLbitfield -> GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLsizei -> Ptr GLuint -> Ptr GLuint64 -> m GLuint
- glMulticastScissorArrayvNVX :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLint -> m ()
- glMulticastViewportArrayvNVX :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glMulticastViewportPositionWScaleNVX :: MonadIO m => GLuint -> GLuint -> GLfloat -> GLfloat -> m ()
- glUploadGpuMaskNVX :: MonadIO m => GLbitfield -> m ()

# Extension Support

glGetNVXGPUMulticast2 :: MonadIO m => m Bool Source #

Is the NVX_gpu_multicast2 extension supported?

gl_NVX_gpu_multicast2 :: Bool Source #

Is the NVX_gpu_multicast2 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVXGPUMulticast2` in those cases instead.

# Enums

pattern GL_UPLOAD_GPU_MASK_NVX :: GLenum Source #

# Functions

glAsyncCopyBufferSubDataNVX Source #

Arguments

:: MonadIO m |
=> GLsizei | `waitSemaphoreCount`.
-> Ptr GLuint | `waitSemaphoreArray` pointing to `waitSemaphoreCount` elements of type `GLuint`.
-> Ptr GLuint64 | `fenceValueArray` pointing to `waitSemaphoreCount` elements of type `GLuint64`.
-> GLuint | `readGpu`.
-> GLbitfield | `writeGpuMask`.
-> GLuint | `readBuffer`.
-> GLuint | `writeBuffer`.
-> GLintptr | `readOffset`.
-> GLintptr | `writeOffset`.
-> GLsizeiptr | `size`.
-> GLsizei | `signalSemaphoreCount`.
-> Ptr GLuint | `signalSemaphoreArray` pointing to `signalSemaphoreCount` elements of type `GLuint`.
-> Ptr GLuint64 | `signalValueArray` pointing to `signalSemaphoreCount` elements of type `GLuint64`.
-> m GLuint |

glAsyncCopyImageSubDataNVX Source #

Arguments

:: MonadIO m |
=> GLsizei | `waitSemaphoreCount`.
-> Ptr GLuint | `waitSemaphoreArray` pointing to `waitSemaphoreCount` elements of type `GLuint`.
-> Ptr GLuint64 | `waitValueArray` pointing to `waitSemaphoreCount` elements of type `GLuint64`.
-> GLuint | `srcGpu`.
-> GLbitfield | `dstGpuMask`.
-> GLuint | `srcName`.
-> GLenum | `srcTarget`.
-> GLint | `srcLevel`.
-> GLint | `srcX`.
-> GLint | `srcY`.
-> GLint | `srcZ`.
-> GLuint | `dstName`.
-> GLenum | `dstTarget`.
-> GLint | `dstLevel`.
-> GLint | `dstX`.
-> GLint | `dstY`.
-> GLint | `dstZ`.
-> GLsizei | `srcWidth`.
-> GLsizei | `srcHeight`.
-> GLsizei | `srcDepth`.
-> GLsizei | `signalSemaphoreCount`.
-> Ptr GLuint | `signalSemaphoreArray` pointing to `signalSemaphoreCount` elements of type `GLuint`.
-> Ptr GLuint64 | `signalValueArray` pointing to `signalSemaphoreCount` elements of type `GLuint64`.
-> m GLuint |

glMulticastScissorArrayvNVX Source #

Arguments

:: MonadIO m |
=> GLuint | `gpu`.
-> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLint | `v` pointing to `COMPSIZE(count)` elements of type `GLint`.
-> m () |

glMulticastViewportArrayvNVX Source #

Arguments

:: MonadIO m |
=> GLuint | `gpu`.
-> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v` pointing to `COMPSIZE(count)` elements of type `GLfloat`.
-> m () |

glMulticastViewportPositionWScaleNVX Source #

Arguments

:: MonadIO m |
=> GLuint | `gpu`.
-> GLuint | `index`.
-> GLfloat | `xcoeff`.
-> GLfloat | `ycoeff`.
-> m () |

glUploadGpuMaskNVX Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask`.
-> m () |